import java.util.Scanner;
import java.util.Arrays;
public class MainApplication {
    Scanner scanner = new Scanner(System.in);
    Console console = new Console();
    int numberOfPets;

    Pet[] petArray;

    public void runProgram(){
        numberOfPets = console.inputNumberOfPets();
        petArray = new Pet [numberOfPets];
        for(int i=0;i<numberOfPets;i++){
            String type = console.inputTypeOfPet();
            String name = console.inputNameOfPet();
            switch(type){
                case "dog":
                    petArray[i] = new Dog(type,name);
                    break;
                case "cat": 
                    petArray[i] = new Cat(type,name);
                    break;
                case "bearded dragon": 
                    petArray[i] = new BeardedDragon(type,name);
                    break;
                default: 
                    petArray[i] = new Pet(type,name);
                    break;
            }
        }
        console.printPetInfo(petArray);
    }

}
